BizKitHub
DocsAPI ReferenceWarehouse/bff/warehouse/stock/outbound
postWarehouseAdmin BFF

/bff/warehouse/stock/outbound

Outbound (vyskladnění)

WarehousepostBffWarehouseStockOutbound

Parameters

JSON body

Request body

application/json
sourceWarehouseIdnumberRequired
sourceLocationIdnumber | nullOptional
One of 2:
Variant 1
number
Variant 2
null
productCodestring | nullOptional

Human-readable product code (mutually exclusive with virtualItemSku).

One of 2:
Variant 1
string
Length: 0–64
Variant 2
null
productVariantCodestring | nullOptional

Variant code, requires productCode.

One of 2:
Variant 1
string
Length: 0–64
Variant 2
null
virtualItemSkustring | nullOptional

Free-form virtual SKU for non-catalogue items.

One of 2:
Variant 1
string
Length: 0–100
Variant 2
null
quantitynumberRequired

Positive quantity, up to 3 decimals (e.g. 2.5 m).

lotCodestring | nullOptional

Lot to take from. Omit for automatic FIFO across lots (lot-tracked products).

One of 2:
Variant 1
string
Length: 0–64
Variant 2
null
notestring | nullOptional
One of 2:
Variant 1
string
Variant 2
null
performedByMemberIdnumber | nullOptional
One of 2:
Variant 1
number
Variant 2
null

Response schema

1 status code documented

200Success
successbooleanRequired
movementIdnumberRequired
newQuantitynumberRequired
movementIdsnumber[]Required

One movement per lot when FIFO split the quantity.

Response example

application/json
{
  "success": false,
  "movementId": 0,
  "newQuantity": 0,
  "movementIds": [
    0
  ]
}

Request example

POST /bff/warehouse/stock/outbound

post
curl -X POST "https://api.bizkithub.com/bff/warehouse/stock/outbound" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "sourceWarehouseId": 0,
  "quantity": 0
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key